<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Flask - SQLAlchemy (ORM)</title>
  </head>
  <body>
    <h1>Flask - SQLAlchemy (ORM)</h1>
    <hr />
    <ul>
      <li>
        <a href="/query/sql">Query By SQL</a>
      </li>
      <li>
        <a href="/query/orm">Query By ORM</a>
      </li>
    </ul>
    <hr />
    <h2>Show : AppInfo Data</h2>
    <table border="1">
      <thead>
        <tr>
          <th width="150">Name</th>
          <th width="100">Version</th>
          <th width="100">Author</th>
          <th width="200">Date</th>
          <th width="350">Remark</th>
          <th width="100">Action</th>
        </tr>
      </thead>
      <tbody>
        {% for info in appInfo %}
        <tr>
          <td>{{ info.name }}</td>
          <td>{{ info.version }}</td>
          <td>{{ info.author }}</td>
          <td>{{ info.date }}</td>
          <td>{{ info.remark }}</td>
          <td align="center">
            <form action="/delete/{{ info.id }}" method="post">
              <input type="submit" value="刪除" />
            </form>
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
    <br />
    <hr />
    <h2>Add : AppInfo Data</h2>
    <form action="/add" method="post">
      <label for="name">名稱 : </label>
      <input type="text" name="name" placeholder="Name" /><br />
      <label for="version">版本 : </label>
      <input type="text" name="version" placeholder="Version" /><br />
      <label for="author">作者 : </label>
      <input type="text" name="author" placeholder="Author" /><br />
      <label for="date">日期 : </label>
      <input type="date" name="date" placeholder="Date" /><br />
      <label for="remark">描述 : </label><br />
      <textarea
        name="remark"
        placeholder="Remark"
        cols="50"
        rows="5"
      ></textarea>
      <input type="submit" value="新增" />
    </form>
  </body>
</html>
